Bug 819565

Summary: Project rhq-core-client-api's pom.xml forces java 1.5
Product: [Other] RHQ Project Reporter: Jirka Kremser <jkremser>
Component: Build SystemAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: medium    
Version: 4.4CC: hrupp
Target Milestone: ---   
Target Release: RHQ 4.5.0   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-01 06:08:05 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jirka Kremser 2012-05-07 10:48:15 EDT
Description of problem:
The code is 1.6 compliant, but the Maven forces the 1.5 version. Although the building process run from CLI has no problem with it, the eclipse consider it as error (@Override annotations make problems)


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
 change the version to 1.6


Additional info:
Comment 1 Mike Foley 2012-05-08 15:33:43 EDT
per BZ triage ... crouch, loleary, foley
Comment 2 Jirka Kremser 2012-05-15 08:04:56 EDT
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=2fc0eb8cd3c222a775293ac4968f42dd254d8a2ecommit 

2fc0eb8cd3c222a775293ac4968f42dd254d8a2e
Author: Jiri Kremser <jkremser@jkremser-tp520.(none)>
Date:   Wed May 9 17:16:32 2012 +0200

    [BZ 819565 - Project rhq-core-client-api's pom.xml forces java 1.5] Java compiler's version 1.5 was raised to 1.6
Comment 3 Charles Crouch 2012-05-22 09:01:52 EDT
Setting Target Release correctly
Comment 4 Heiko W. Rupp 2013-09-01 06:08:05 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.